﻿@import "./app.css";

:root {
    --gap-size-sm: calc(var(--gap-size) / var(--golden-ratio));
    --gap-size: 0.5rem;
    --gap-size-md: calc(var(--gap-size) * var(--golden-ratio));
}

.default-content-container {
    padding: 16px;
}

.full-width {
    width: 100%;
}

.full-height {
    height: 100%;
}

.pad-2 {
    padding: 4px;
}

.pad-top-4 {
    padding-top: 8px;
}

.pad-4 {
    padding: 8px;
}

.gap {
    gap: var(--gap-size);
}

.gap-sm {
    gap: var(--gap-size-sm);
}

.gap-md {
    gap: var(--gap-size-md);
}

.row {
    display: flex;
}

.column {
    display: flex;
    flex-direction: column;
}

.grow {
    flex-grow: 1;
}

.justify-center {
    justify-content: center;
}

.justify-evenly {
    justify-content: space-evenly;
}

.justify-between {
    justify-content: space-between;
}

.align-center {
    align-items: center;
}

.align-start {
    align-items: start;
}

.align-end {
    align-items: end;
}

.align-baseline {
    align-items: baseline;
}

.background-surface {
    background-color: var(--surface);
}

.background-surface-dark {
    background-color: var(--surface-dark)
}

.widescreen-boundary {
    margin-left: auto;
    margin-right: auto;
    max-width: clamp(700px, 100vw, 1150px);
    @media (max-width: 700px) {
        max-width: unset;
        width: 100%;
    }
}

.maximize-content-width {
    width: clamp(700px, 100vw, 1150px);

}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (max-width: 500px) {
    .widescreen-boundary {
        max-width: 100%;
    }

    .maximize-content-width {
        width: 100%;

    }
}